Hi, I have the new bootrom for 3gs and im on 3.1.2 with a tethered jailbreak using blackrain. Lately all the new apps require 3.1.3 or above and I'd really like to update to ios4.. Can someone guide me??
Thanks!